# Pre-fill (email, wallet, etc)

Need to pass in parameters to prefill email or wallet address? We support that!

Use the optional `walletAddress` to pre-fill the wallet address

Use the optional `email` to pre-fill the email

Example:&#x20;

```
  <WinterCheckout
    // Your projectId, will be the same in sandbox/production
    projectId={20}
    // When false we use tesntet & when true we use mainnet
    production={false}
    // This is a boolean that opens the widget when true
    showModal={showWinter}
    // Can pass in the customer's wallet address if you have it
    walletAddress='0x64EE4e11E0992D18C5986bA99F2d7DF8fc7A3dC3'
    // Can pass in the customer's email if you have it
    email="laila@usewinter.com"
    // Can pass in the mint quantity if the quantity is chosen before our modal is opened
    mintQuantity={5}
  />
```

If you've embedded the iframe directly, this example applies:&#x20;

<https://checkout.usewinter.com/?projectId=1&walletAddress=0xabcdefg&email=sean@awesome.com>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usewinter.com/front-end-integration/pre-fill-email-wallet-etc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
